## thunderbird 68.12.0

=== debian/changelog ===
thunderbird (1:68.12.0-1~deb10u1) stable-security; urgency=medium

  * Rebuild for buster-security
  * [32b3711] Revert "d/xpi-pack.sh: adding xpi-pack shell script"
  * [b50609a] Revert "Drop mozilla-devscripts as B-D"
  * [fd054fc] Revert "Drop python-{minimal,ply} from B-D"
  * [5a2a88c] Revert "d/control: tb manually set dep on libnss3 to 2:3.55"

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 29 Aug 2020 08:52:22 +0200

thunderbird (1:68.12.0-1) unstable; urgency=medium

  * [103cab7] New upstream version 68.12.0
    Fixed CVE issues in upstream version 68.11.0 (MFSA 2020-35):
    CVE-2020-15663: Downgrade attack on the Mozilla Maintenance Service could
                    have resulted in escalation of privilege
    CVE-2020-15664: Attacker-induced prompt for extension installation
    CVE-2020-15669: Use-After-Free when aborting an operation

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 27 Aug 2020 21:23:55 +0200

thunderbird (1:68.11.0-3) unstable; urgency=medium

  * [28707fd] d/xpi-pack.sh: adding xpi-pack shell script
    As we can't depend on mozilla-devscripts anymore we pick up the shell
    script from that package as this builds XPI files we need.
  * [037212e] Drop mozilla-devscripts as B-D
    mozilla-devscripts isn't ported to Python3 yet and depends on Python2 so.
    We don't need that package as B-D as we picked the main shell script from
    that and we can drop that package from the build dependencies.
  * [31eda41] Drop python-{minimal,ply} from B-D
    These packages are removed from teh archive and we don't need them for
    building Thunderbird as long we have python2 as package available.
  (Closes: #967223)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 04 Aug 2020 19:06:20 +0200

thunderbird (1:68.11.0-2) unstable; urgency=medium

  * [110a375] d/control: increase B-D for libnss3
  * [73fa23e] d/control: tb manually set dep on libnss3 to 2:3.55
  (Closes: #966806)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 02 Aug 2020 20:12:49 +0200

thunderbird (1:68.11.0-1~deb10u1) stable-security; urgency=medium

  * Rebuild for buster-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 01 Aug 2020 09:04:25 +0200
