## thunderbird 78.3.1

=== debian/changelog ===
thunderbird (1:78.3.1-2~deb9u1) stretch-security; urgency=medium

  * [4e14e40] Remove duplicated --disable-debug-symbols flag
  * [b15caee] Print a verbose build log by not calling the mach wrapper
  * [d0bf382] Exclude -g from CXXFLAGS as well
  * [e2b361e] d/p/porting/Work-around-GCC-ICE-on-arm.patch: refresh
  * [fcc4d43] d/p/porting/Work-around-another-GCC-ICE-on-arm.patch: removed, upstreamed.
  * [ea2c295] continue without using system nss, nspr, icu, libvpx and hunspell
  * [64fa058] don't use system botan, not available in stretch
  * [033fb14] switch to LLVM 7
  * [e00e32c] build with GCC 7.1
  * [98a5ca8] build with libstdc++7 and point llvm towards gcc-mozilla's headers

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 15 Oct 2020 18:00:51 +0200

thunderbird (1:78.3.1-2~deb10u2) stable-security; urgency=medium

  * [72d9abd] d/rules: rewrite dpkg_buildflags to remove option '-g'
  * [adb263e] d/rules: disable dbgsym package on i386 for stable-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 05 Oct 2020 18:59:20 +0200

thunderbird (1:78.3.1-2~deb10u1) stable-security; urgency=medium

  * Rebuild for buster-security
  * [cc92401] d/rules: remove hand crafted icu build

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 03 Oct 2020 17:41:36 +0200

thunderbird (1:78.3.1-2) unstable; urgency=medium

  * [649f664] rebuild patch queue from patch-queue branch
    added patches:
    fixes/reduce-the-rust-debuginfo-level-on-selected-architectures.patch
    porting-s390x/Explicitly-instantiate-TIntermTraverser-traverse-TIntermN.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 30 Sep 2020 19:10:27 +0200

thunderbird (1:78.3.1-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [6bd965f] New upstream version 78.3.1
    Fixed CVE issues in upstream version 78.3.1 (MFSA 2020-44):
    CVE-2020-15677: Download origin spoofing via redirect
    CVE-2020-15676: XSS when pasting attacker-controlled data into a
                    contenteditable element
    CVE-2020-15678: When recursing through layers while scrolling, an iterator
                    may have become invalid, resulting in a potential
                    use-after-free scenario
    CVE-2020-15673: Memory safety bugs fixed in Thunderbird 78.3
  * [8ba13c5] rebuild patch queue from patch-queue branch
    added patches(picked from firefox packaging):
    fixes/Add-missing-bindings-for-mips-in-the-authenticator-crate.patch
    porting-mips/Bug-1642265-MIPS64-Add-branchTestSymbol-and-fallibleUnbox.patch
    porting-mips/Bug-1649655-MIPS-Add-CodeGenerator-visitWasmRegisterResul.patch
    porting/Bug-1666646-Bump-CodeAlignment-to-8-in-MacroAssembler-non.patch
    removed patch(fixed upstream):
    fixes/Bug-1664607-Don-t-try-to-load-what-s-new-page-when-built-.patch
  * [c6d282d] calendar-google-provider*: removing left over cruft
    There are two left over sequencer files from the calendar-google-package,
    not need any more since 1:68.2.2-1
  * [cf37615] d/README.Debian: Update and adding new information
    Some updated information regarding the now included OpenPGP support, also
    updating some grammar for 'Add-on'.
  * [faf225b] thunderbird.NEWS: Add hint about integration of OpenPGP support
    Giving the user a information about the OpenPGP status within Thunderbird
    since the version 78.0.
  * [d6f4f0e] Revert "d/tb.lintian-overrides: ignore warning about none
              versioned breaks"
  * [9e6cbec] d/copyright: update content

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 27 Sep 2020 09:08:29 +0200

thunderbird (1:78.2.2-1) experimental; urgency=medium

  * [c6592e8] New upstream version 78.2.2
  * [28f5fce] rebuild patch queue from patch-queue branch
    added patches:
    fixes/Bug-1664607-Don-t-try-to-load-what-s-new-page-when-built-.patch
    porting-s390x/Use-more-recent-embedded-version-of-sqlite3.patch
  * [4866c06] d/mozconfig.default: add extra config options for ppc64el

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 13 Sep 2020 08:58:44 +0200

thunderbird (1:78.2.1-1) experimental; urgency=medium

  * [1f3f76b] d/rules: drop C{,XX}FLAGS originally intended for GCC6
  * [4490e37] d/mozconfig.default: add options for mips64el
  * [17b4e5c] d/rules: Don't build debug symbols on 32Bit arch
  * [6dff7e0] d/rules: adding -Wl,--as-needed to linker flags
  * [a213a7f] New upstream version 78.2.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 30 Aug 2020 14:38:17 +0200

thunderbird (1:78.2.0-1) experimental; urgency=medium

  [ intrigeri ]
  * [f6fcafd] d/control: drop hard dependency on libgtk2.0-0
    (Closes: #908654)
  * [85b7a2e] autopkgtests: fix typo in comment
  * [4bd70ae] d/mozconfig.default: fix typos in comments
  * [d986a6d] d/control: allow Enigmail 2.2.0 and newer
    (Closes: #968707)

  [ Carsten Schoenert ]
  * [52b4006] d/control: increase B-D for libnss3
    (Closes: #966805)
  * [7794563] New upstream version 78.2.0
    Fixed CVE issues in upstream version 78.2.0 (MFSA 2020-41):
    CVE-2020-15663: Downgrade attack on the Mozilla Maintenance Service could
                    have resulted in escalation of privilege
    CVE-2020-15664: Attacker-induced prompt for extension installation
    CVE-2020-15670: Memory safety bugs fixed in Thunderbird 78.2
  * [623f853] rebuild patch queue from patch-queue branch
    No modifications made, just updating the index.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 26 Aug 2020 20:41:28 +0200

thunderbird (1:78.1.1-1) experimental; urgency=medium

  * [5fb842b] d/mozconfig.default: adding new option regarding Add-Ons
    Adding additional options --allow-addon-sideload and
    --with-unsigned-addon-scopes=app,system. These option are adopted and
    taken from the firefox package.
  * [8de0b35] New upstream version 78.1.1
  * [4abe5ed] d/copyright: update content
    Some small updates to the copyright information.
  * [3caa541] d/control: adding new B-D for botan and json-c

