=== debian/control ===
--- 
+++ 
@@ -8,9 +8,10 @@
  autoconf2.13,
  bash-completion,
  bzip2,
- cargo (>= 0.35),
- cbindgen (>= 0.8.7),
- clang,
+ cargo (>= 0.42),
+ cbindgen (>= 0.14),
+ gcc-mozilla (>= 7.1),
+ clang-7,
  debhelper (>= 10.2.5~),
  dh-apparmor,
  dh-exec,
@@ -20,16 +21,15 @@
  libatk-adaptor,
  libbz2-dev,
  libcairo2-dev (>= 1.10.2-1.1~),
- libclang-dev,
+ libclang-7-dev,
  libdbus-glib-1-dev (>= 0.60),
  libevent-dev (>= 1.4.1),
  libffi-dev,
  libfontconfig1-dev,
  libglib2.0-dev (>= 2.22.0),
- libglib2.0-dev,
  libgtk2.0-dev,
  libgtk-3-dev (>= 3.4),
- libjsoncpp-dev,
+ libjson-c-dev (>= 0.11),
  libidl-dev (>= 0.8.0),
  libiw-dev [linux-any],
  libnotify-dev,
@@ -37,20 +37,17 @@
  libpulse-dev,
  libreadline-dev,
  libstartup-notification0-dev,
- libvpx-dev (>= 1.5.0),
  libx11-dev,
  libx11-xcb-dev,
  libxau-dev,
  libxft-dev,
  libxt-dev,
- llvm-dev,
+ llvm-7-dev,
  mesa-common-dev,
  mozilla-devscripts,
- nodejs (>= 8.11),
- python-minimal (>= 2.6.6-13~),
- python-ply,
- python2.7,
- rustc (>= 1.34),
+ nodejs-mozilla (>= 10.19.0),
+ python3,
+ rustc (>= 1.41),
  unzip,
  yasm (>= 1.1),
  zip,
@@ -71,18 +68,26 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- lightning (= ${source:Version}),
  myspell-en-us | hunspell-dictionary | myspell-dictionary,
 Suggests:
  apparmor,
  fonts-lyx,
  libgssapi-krb5-2,
-Provides:
+ libgtk2.0-0,
+Provides:
+ lightning (= ${binary:Version}),
  mail-reader,
+ icedove,
+Xb-Xul-AppId: {3550f703-e582-4d05-9a08-453d09bdfdc6}
+Replaces:
+ icedove (<< 1:45.6.0-2.1~),
+ lightning (<< 1:76.0~b1-1~),
 Breaks:
  birdtray (<< 1.7.0+ds-1~),
+ calendar-exchange-provider (<< 4.0.0~beta4-1~),
  calendar-google-provider (<=1:68.2.1-1),
- enigmail (<< 2:2.1.2~),
+ icedove (<< 1:45.6.0-2.1~),
+ enigmail (<< 2:2.2.0~),
  hunspell-ar (<< 0.0.0+20080110-1.1),
  hunspell-da (<< 1:3.1.0-3),
  hunspell-de-at (<< 20071211-2),
@@ -102,60 +107,14 @@
  hunspell-uz (<< 0.6-3.1),
  hunspell-vi (<< 1:3.1.0-3),
  jsunit (<< 0.2.2-1~),
- lightning (<< ${source:Version}),
- myspell-af (<< 1:3.1.0-3),
- myspell-ca (<< 0.6-8),
- myspell-cs-cz (<< 20040229-4.1),
- myspell-da (<< 1.6.18-1.1),
- myspell-de-at (<< 20071211-2),
- myspell-de-ch (<< 20071211-2),
- myspell-de-de (<< 20071211-2),
- myspell-de-de-oldspell (<< 1:2-25.1),
- myspell-el-gr (<< 0.3-1.1),
- myspell-en-au (<< 2.1-5),
- myspell-en-gb (<< 1:3.1.0-3),
- myspell-en-us (<< 1:3.1.0-3),
- myspell-en-za (<< 1:3.1.0-3),
- myspell-eo (<< 2.1.2000.02.25-41),
- myspell-es (<< 1.10-7),
- myspell-et (<< 1:20030606-12.1),
- myspell-fa (<< 0.20070816-2),
- myspell-fi (<< 0.7-17.2),
- myspell-fo (<< 0.2.36-3),
- myspell-fr (<< 1.4-25),
- myspell-fr-gut (<< 1:1.0-26.1),
- myspell-ga (<< 2.0-19),
- myspell-gd (<< 0.50-7),
- myspell-gv (<< 0.50-8),
- myspell-hr (<< 20060617-2),
- myspell-hu (<< 0.99.4-1.2),
- myspell-hy (<< 0.10.1-1.1),
- myspell-it (<< 1:3.1.0-3),
- myspell-ku (<< 0.20.0-1.1),
- myspell-lv (<< 0.7.3-3.1),
- myspell-nb (<< 2.0.10-3.1),
- myspell-ne (<< 1.0-4.1),
- myspell-nl (<< 1:1.10-3),
- myspell-nn (<< 2.0.10-3.1),
- myspell-pl (<< 20090830-1),
- myspell-pt-br (<< 2009.03.30-1.1),
- myspell-pt-pt (<< 20090309-1.1),
- myspell-ru (<< 0.99g5-8.1),
- myspell-sk (<< 0.5.5a-2.1),
- myspell-sv-se (<< 1.3.8-6-2.2),
- myspell-sw (<< 1:3.1.0-3),
- myspell-th (<< 1:3.1.0-3),
- myspell-tl (<< 0.4-0-5),
- xul-ext-compactheader (<< 3.0.0~),
- xul-ext-dispmua (<= 1.8.2-1),
- xul-ext-exteditor (<= 1.0.3-1),
+ lightning (<< 1:76.0~b1-1~),
+ webext-compactheader (<= 3.0.0~),
+ xul-ext-dispmua (<= 1.8.4.6-1),
+ webext-exteditor (<= 2.0.4-1),
  xul-ext-firetray (<= 0.6.1+dfsg-1.2),
- xul-ext-foxyproxy-standard (<< 4.5.6-debian-2~),
- xul-ext-gnome-keyring (<< 0.12-1~),
- xul-ext-nostalgy (<= 0.2.36-1.2),
  xul-ext-quotecolors (<=0.3-6),
- xul-ext-sieve (<< 0.3.1+dfsg-1~),
- xul-ext-sogo-connector (<< 68.0.0-1~),
+ xul-ext-sieve (<= 0.3.1+dfsg-1~),
+ webext-sogo-connector (<= 68.0.1-2~),
 Description: mail/news client with RSS, chat and integrated spam filter support
  Thunderbird is an mail client suitable for free distribution. The goal of
  Thunderbird is to produce a cross platform stand-alone mail application using
@@ -165,27 +124,54 @@
  organization of mails with tagging and virtual folders. Also, more features
  can be added by installing extensions.
  .
+ Thunderbird also includes an integrated calendar for handling events, events
+ invitations and tasks in multiple calendars. It supports local calendars,
+ CalDAV and plain ics files on CardDAV and WebDAV.
+ .
  The goal of Thunderbird is to produce a cross platform standalone mail
  application using the XUL user interface language.
 
+Package: thunderbird-dbg
+Architecture: any
+Priority: extra
+Section: debug
+Multi-Arch: same
+Depends:
+ thunderbird (= ${binary:Version}),
+ ${misc:Depends},
+Replaces:
+ icedove-dbg (<< 1:45.6.0-2.1~),
+Breaks:
+ icedove-dbg (<< 1:45.6.0-2.1~),
+Provides:
+ icedove-dbg,
+Description: Debug Symbols for Thunderbird
+ Thunderbird is an mail client suitable for free distribution. The goal of
+ Thunderbird is to produce a cross platform stand-alone mail application using
+ the XUL user interface language.
+ It supports different mail accounts, no matter of the used protocol like
+ POP(s) or IMAP(s), has an integrated learning Spam filter, and offers easy
+ organization of mails with tagging and virtual folders. Also, more features
+ can be added by installing extensions.
+ .
+ This package contains the debug symbols for Thunderbird. Install this package
+ if you need to debug such a program or if you need a useful backtrace of a
+ crash.
+
 Package: lightning
 Architecture: all
+Section: oldlibs
 Depends:
  thunderbird (>= ${binary:Version}),
  ${misc:Depends},
-Suggests:
- fonts-lyx,
-Provides:
- calendar-timezones,
-Breaks:
- calendar-timezones,
-Replaces:
- calendar-timezones,
-Description: Calendar Extension for Thunderbird
- Lightning is a calendar extension for Thunderbird. It can handle events,
+Description: Calendar Extension for Thunderbird - Transitional package
+ Lightning is the calendar extension for Thunderbird. It can handle events,
  event invitations and tasks in multiple calendars.
  .
  It supports local calendars, CalDAV and plain ics files on CardDAV and WebDAV.
+ .
+ This is a transitional package that pulls in the required package for
+ lightning. It can be safely removed.
 
 Package: thunderbird-l10n-all
 Architecture: all
@@ -197,6 +183,7 @@
  thunderbird-l10n-bg (>= ${binary:Version}),
  thunderbird-l10n-br (>= ${binary:Version}),
  thunderbird-l10n-ca (>= ${binary:Version}),
+ thunderbird-l10n-cak (>= ${binary:Version}),
  thunderbird-l10n-cs (>= ${binary:Version}),
  thunderbird-l10n-da (>= ${binary:Version}),
  thunderbird-l10n-de (>= ${binary:Version}),
@@ -222,6 +209,7 @@
  thunderbird-l10n-is (>= ${binary:Version}),
  thunderbird-l10n-it (>= ${binary:Version}),
  thunderbird-l10n-ja (>= ${binary:Version}),
+ thunderbird-l10n-ka (>= ${binary:Version}),
  thunderbird-l10n-kab (>= ${binary:Version}),
  thunderbird-l10n-kk (>= ${binary:Version}),
  thunderbird-l10n-ko (>= ${binary:Version}),
@@ -244,10 +232,17 @@
  thunderbird-l10n-sv-se (>= ${binary:Version}),
  thunderbird-l10n-tr (>= ${binary:Version}),
  thunderbird-l10n-uk (>= ${binary:Version}),
+ thunderbird-l10n-uz (>= ${binary:Version}),
  thunderbird-l10n-vi (>= ${binary:Version}),
  thunderbird-l10n-zh-cn (>= ${binary:Version}),
  thunderbird-l10n-zh-tw (>= ${binary:Version}),
  ${misc:Depends},
+Replaces:
+ icedove-l10n-all (<< 1:45.6.0-2.1~),
+Breaks:
+ icedove-l10n-all (<< 1:45.6.0-2.1~),
+Provides:
+ icedove-l10n-all,
 Description: All language packages for Thunderbird (meta)
  Thunderbird is an mail client suitable for free distribution. The goal of
  Thunderbird is to produce a cross platform stand-alone mail application using
@@ -265,10 +260,13 @@
  ${misc:Depends},
 Homepage: https://wiki.mozilla.org/L10n:Teams:ar
 Replaces:
+ icedove-l10n-ar (<< 1:45.6.0-2.1~),
  lightning-l10n-ar (<< 1:60.2.1-1~),
 Breaks:
+ icedove-l10n-ar (<< 1:45.6.0-2.1~),
  lightning-l10n-ar (<< 1:60.2.1-1~),
 Provides:
+ icedove-l10n-ar,
  lightning-l10n-ar,
 Recommends:
  hunspell-ar,
@@ -288,10 +286,13 @@
  ${misc:Depends},
 Homepage: https://wiki.mozilla.org/L10n:Teams:ast
 Replaces:
+ icedove-l10n-ast (<< 1:45.6.0-2.1~),
  lightning-l10n-ast (<< 1:60.2.1-1~),
 Breaks:
+ icedove-l10n-ast (<< 1:45.6.0-2.1~),
  lightning-l10n-ast (<< 1:60.2.1-1~),
 Provides:
+ icedove-l10n-ast,
  lightning-l10n-ast,
 Description: Asturian language package for Thunderbird
  Thunderbird is an mail client suitable for free distribution. The goal of
@@ -309,10 +310,13 @@
  ${misc:Depends},
 Homepage: https://wiki.mozilla.org/L10n:Teams:be
 Replaces:
+ icedove-l10n-be (<< 1:45.6.0-2.1~),
  lightning-l10n-be (<< 1:60.2.1-1~),
 Breaks:
+ icedove-l10n-be (<< 1:45.6.0-2.1~),
  lightning-l10n-be (<< 1:60.2.1-1~),
 Provides:
+ icedove-l10n-be,
  lightning-l10n-be,
 Recommends:
  hunspell-be,
@@ -332,10 +336,13 @@
  ${misc:Depends},
 Homepage: https://wiki.mozilla.org/L10n:Teams:bg
 Replaces:
+ icedove-l10n-bg (<< 1:45.6.0-2.1~),
  lightning-l10n-bg (<< 1:60.2.1-1~),
 Breaks:
+ icedove-l10n-bg (<< 1:45.6.0-2.1~),
  lightning-l10n-bg (<< 1:60.2.1-1~),
 Provides:
+ icedove-l10n-bg,
  lightning-l10n-bg,
 Recommends:
  hunspell-bg | myspell-bg,
@@ -355,33 +362,13 @@
  ${misc:Depends},
 Homepage: https://wiki.mozilla.org/L10n:Teams:br
 Replaces:
+ icedove-l10n-br (<< 1:45.6.0-2.1~),
  lightning-l10n-br (<< 1:60.2.1-1~),
 Breaks:
+ icedove-l10n-br (<< 1:45.6.0-2.1~),
  lightning-l10n-br (<< 1:60.2.1-1~),
 Provides:
+ icedove-l10n-br,
  lightning-l10n-br,
 Recommends:
  hunspell-br,
-Description: Breton language package for Thunderbird
- Thunderbird is an mail client suitable for free distribution. The goal of
- Thunderbird is to produce a cross platform stand-alone mail application using
- the XUL user interface language.
- .
- This package contains the localization of Thunderbird in Breton.
-
-Package: thunderbird-l10n-ca
-Architecture: all
-Section: localization
-Depends:
- thunderbird (<< ${source:Version}.1~),
- thunderbird (>= ${source:Version}),
- ${misc:Depends},
-Homepage: https://wiki.mozilla.org/L10n:Teams:ca
-Replaces:
- lightning-l10n-ca (<< 1:60.2.1-1~),
-Breaks:
- lightning-l10n-ca (<< 1:60.2.1-1~),
-Provides:
- lightning-l10n-ca,
-Recommends:
- hunspell-ca | myspell-ca,
