=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # export DH_VERBOSE=1
 
 # checking the release type, if $(RELEASE)=UNRELEASED we won't build
-# the thunderbird-dbgsym package
+# the thunderbird-dbg package
 include /usr/share/dpkg/pkg-info.mk
 RELEASE := $(DEB_DISTRIBUTION)
 
@@ -13,20 +13,11 @@
 	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 endif
 
-ICU_DATA_FILE := $(shell basename config/external/icu/data/icud*.dat)
-ICU_BUILD := $(shell if ! grep -qs -e "--with-system-icu" debian/mozconfig.default; then echo YES || NO; fi)
-ICU_BUILD_DIR := $(CURDIR)/obj-thunderbird/obj-icu
-ICU_BUILD_CONFIGURE := --with-data-packaging=archive --enable-static --disable-layoutex --disable-shared --disable-extras --disable-icuio --disable-layout --disable-tests --disable-samples --disable-strict
-ICU_BUILD_CPPFLAGS := "-DU_NO_DEFAULT_INCLUDE_UTF_HEADERS=1 -DUCONFIG_NO_LEGACY_CONVERSION -DUCONFIG_NO_TRANSLITERATION -DUCONFIG_NO_REGULAR_EXPRESSIONS -DUCONFIG_NO_BREAK_ITERATION -DU_CHARSET_IS_UTF8"
-
 THUNDERBIRD_VERSION=$(shell tail -1 comm/mail/config/version.txt)
 DEB_AUTO_UPDATE_AUTOCONF=2.13
 
 # build directory used for building the thunderbird-l10n files
 THUNDERBIRD_L10N_BUILDDIR=debian/thunderbird-l10n-build
-
-# Iceowl/Lightning version, note this is different from the TB version!
-LIGHTNING_VERSION := $(shell python $(CURDIR)/comm/calendar/lightning/build/makeversion.py ${THUNDERBIRD_VERSION})
 
 # ID of the l10n language packs from upstream, need to match the application.id
 # in thunderbird-l10n/$LANG/manifest.json
@@ -36,13 +27,19 @@
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/architecture.mk
 
-# currently needed as workaround for GCC-6 built
-# see https://bugzilla.mozilla.org/show_bug.cgi?id=1251576
-# and https://bugzilla.mozilla.org/show_bug.cgi?id=1245783#c31
-CFLAGS += -fno-delete-null-pointer-checks
-# -fno-schedule-insns2 -fno-lifetime-dse
-CXXFLAGS += -fno-delete-null-pointer-checks
-# -fno-schedule-insns2 -fno-lifetime-dse
+# Use dpkg-buildflags to get build flags, but exclude -g, that is dealt with
+# via configure options. Picked partially from FF.
+
+dpkg_buildflags = $(and $(1),$(shell DEB_CFLAGS_MAINT_STRIP="-g" DEB_CXXFLAGS_MAINT_STRIP="-g" dpkg-buildflags --get $(1)))
+lazy = $(eval $(1) = $$(if $$(___$(1)),,$$(eval ___$(1) := $(2)))$$(___$(1)))
+$(call lazy,CFLAGS,$$(call dpkg_buildflags,CFLAGS))
+$(call lazy,CXXFLAGS,$$(call dpkg_buildflags,CXXFLAGS))
+$(call lazy,CPPFLAGS,$$(call dpkg_buildflags,CPPFLAGS))
+$(call lazy,LDFLAGS,$$(call dpkg_buildflags,LDFLAGS))
+
+# Use GCC on stretch to workaround a build issue with elfhack
+export CC = gcc
+export CXX = g++
 
 # special CFLAGS for various platforms
 ifeq ($(DEB_BUILD_ARCH),armel)
@@ -83,6 +80,10 @@
 export SHELL=/bin/bash
 # Work around https://github.com/rust-lang/cargo/issues/7147
 export CARGO_HOME=$(CURDIR)/debian/.cargo
+export NODEJS=/usr/lib/nodejs-mozilla/bin/node
+export PATH := /usr/lib/llvm-7/bin/:$(PATH)
+export PATH := /usr/lib/gcc-mozilla/bin/:$(PATH)
+LDFLAGS += -static-libstdc++
 
 %:
 	dh $@
@@ -116,22 +117,7 @@
 endif
 	echo 'mk_add_options MOZ_OBJDIR=$(CURDIR)/obj-thunderbird' >> mozconfig.thunderbird
 	echo 'ac_add_options --prefix=$(CURDIR)/debian/tmp/usr' >> mozconfig.default
-	@echo "rebuild ICU data file needed: $(ICU_BUILD)"
-ifeq ($(ICU_BUILD),YES)
-	####################################################################
-	# (re)build upstream icudt*.dat due disabled usage of system files #
-	####################################################################
-	rm -f $(CURDIR)/config/external/icu/data/$(ICU_DATA_FILE)
-	mkdir -p $(ICU_BUILD_DIR)
-	cd $(ICU_BUILD_DIR) ;\
-		$(CURDIR)/intl/icu/source/configure $(ICU_BUILD_CONFIGURE) CPPFLAGS=$(ICU_BUILD_CPPFLAGS) ;\
-		$(MAKE) VERBOSE=1 -j$(NUMJOBS)
-	@ICU_DATA_FILE_CREATED=$$(basename $(ICU_BUILD_DIR)/data/out/icud*.dat) ;\
-	test -f $(ICU_BUILD_DIR)/data/out/$$ICU_DATA_FILE_CREATED && cp $(ICU_BUILD_DIR)/data/out/$$ICU_DATA_FILE_CREATED $(CURDIR)/config/external/icu/data ;\
-	echo "created new ICU_DATA_FILE in $(CURDIR)/config/external/icu/data/$$ICU_DATA_FILE_CREATED"
-endif
-	# configure the various build settings
-	# thunderbird, lightning
+	# configure the various build settings for thunderbird
 	DIST= ./mach -v configure
 	# workaround: remove "'" around some entries
 	sed -i "/'/g" obj-thunderbird/backend.mk
@@ -139,7 +125,7 @@
 
 override_dh_auto_build:
 	# building the stuff
-	./mach -v build
+	dh_auto_build --builddirectory=obj-thunderbird
 	# build thunderbird-l10n
 	mkdir -p $(THUNDERBIRD_L10N_BUILDDIR)
 	cd $(CURDIR)/thunderbird-l10n ;\
@@ -172,3 +158,38 @@
 		ln -sf /usr/share/thunderbird/extensions/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi \
 			$(CURDIR)/debian/thunderbird-l10n-$${lowercase_locale}/usr/lib/thunderbird/extensions/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi ;\
 	done
+	dh_bash-completion
+
+override_dh_install-arch:
+	dh_install
+	# install apparmor profile
+	cp debian/apparmor/usr.bin.thunderbird debian/thunderbird/etc/apparmor.d/usr.bin.thunderbird
+	dh_apparmor --profile-name=usr.bin.thunderbird -pthunderbird
+
+override_dh_install-indep:
+	dh_install
+	# remove executable rights on *.js, *.png, *.xul files
+	find debian/thunderbird-l10n*/ -type f \( -name "*.dtd" -o -name "*.js" -o -name "*.png" -o -name "*.properties" -o -name "*.xul" \) -exec chmod 644 {} \;
+
+override_dh_strip:
+	if [ "$(RELEASE)" != "UNRELEASED" ]; then \
+		dh_strip --dbg-package=thunderbird-dbg ;\
+	else \
+		dh_strip --no-automatic-dbgsym ;\
+	fi
+
+override_dh_shlibdeps:
+	dh_shlibdeps -a -l $(CURDIR)/debian/tmp/usr/lib/thunderbird -- -xlibgtk2.0-0
+
+override_dh_builddeb:
+	# just build all packages if there is no 'UNRELEASED' within the changelog
+	# found, otherwise skip the thunderbird-dbg package, it isn't there
+	if [ "$(RELEASE)" != "UNRELEASED" ]; then \
+		dh_builddeb ;\
+	else \
+		dh_builddeb -pthunderbird ;\
+		dh_builddeb -picedove ;\
+		dh_builddeb -picedove-dev ;\
+		dh_builddeb -plightning ;\
+		dh_builddeb -piceowl-extension ;\
+		for package in `grep -e \
